Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 4645)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 4646)
@@ -1163,65 +1103,56 @@
 #ifndef _OPENACC
              IF ( .NOT. neutral )  THEN
-                IF ( surf_def_h(0)%end_index(j,i) >=                           &
-                     surf_def_h(0)%start_index(j,i) )  THEN
+                IF ( surf_def_h(0)%end_index(j,i) >= surf_def_h(0)%start_index(j,i) )  THEN
                    m = surf_def_h(0)%start_index(j,i)
-                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) +                   &
-                                        surf_def_h(0)%ol(m)  * rmask(j,i,sr) ! L
-                ENDIF
-                IF ( surf_lsm_h%end_index(j,i) >=                              &
-                     surf_lsm_h%start_index(j,i) )  THEN
+                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) + surf_def_h(0)%ol(m) * rmask(j,i,sr) ! L
+                ENDIF
+                IF ( surf_lsm_h%end_index(j,i) >= surf_lsm_h%start_index(j,i) )  THEN
                    m = surf_lsm_h%start_index(j,i)
-                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) +                   &
-                                        surf_lsm_h%ol(m)  * rmask(j,i,sr) ! L
-                ENDIF
-                IF ( surf_usm_h%end_index(j,i) >=                              &
-                     surf_usm_h%start_index(j,i) )  THEN
+                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) + surf_lsm_h%ol(m)    * rmask(j,i,sr) ! L
+                ENDIF
+                IF ( surf_usm_h%end_index(j,i) >= surf_usm_h%start_index(j,i) )  THEN
                    m = surf_usm_h%start_index(j,i)
-                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) +                   &
-                                        surf_usm_h%ol(m)  * rmask(j,i,sr) ! L
+                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) + surf_usm_h%ol(m)    * rmask(j,i,sr) ! L
                 ENDIF
              ENDIF
 
              IF ( radiation )  THEN
-                IF ( surf_def_h(0)%end_index(j,i) >=                           &
-                     surf_def_h(0)%start_index(j,i) )  THEN
+                IF ( surf_def_h(0)%end_index(j,i) >= surf_def_h(0)%start_index(j,i) )  THEN
                    m = surf_def_h(0)%start_index(j,i)
-                   sums_l(nzb,99,tn)  = sums_l(nzb,99,tn)  +                   &
-                                        surf_def_h(0)%rad_net(m) * rmask(j,i,sr)
-                   sums_l(nzb,100,tn) = sums_l(nzb,100,tn)  +                  &
-                                        surf_def_h(0)%rad_lw_in(m) * rmask(j,i,sr)
-                   sums_l(nzb,101,tn) = sums_l(nzb,101,tn)  +                  &
+                   sums_l(nzb,99,tn)  = sums_l(nzb,99,tn)   +                                      &
+                                        surf_def_h(0)%rad_net(m)    * rmask(j,i,sr)
+                   sums_l(nzb,100,tn) = sums_l(nzb,100,tn)  +                                      &
+                                        surf_def_h(0)%rad_lw_in(m)  * rmask(j,i,sr)
+                   sums_l(nzb,101,tn) = sums_l(nzb,101,tn)  +                                      &
                                         surf_def_h(0)%rad_lw_out(m) * rmask(j,i,sr)
-                   sums_l(nzb,102,tn) = sums_l(nzb,102,tn)  +                  &
-                                        surf_def_h(0)%rad_sw_in(m) * rmask(j,i,sr)
-                   sums_l(nzb,103,tn) = sums_l(nzb,103,tn)  +                  &
+                   sums_l(nzb,102,tn) = sums_l(nzb,102,tn)  +                                      &
+                                        surf_def_h(0)%rad_sw_in(m)  * rmask(j,i,sr)
+                   sums_l(nzb,103,tn) = sums_l(nzb,103,tn)  +                                      &
                                         surf_def_h(0)%rad_sw_out(m) * rmask(j,i,sr)
                 ENDIF
-                IF ( surf_lsm_h%end_index(j,i) >=                              &
-                     surf_lsm_h%start_index(j,i) )  THEN
+                IF ( surf_lsm_h%end_index(j,i) >= surf_lsm_h%start_index(j,i) )  THEN
                    m = surf_lsm_h%start_index(j,i)
-                   sums_l(nzb,99,tn)  = sums_l(nzb,99,tn)  +                   &
-                                        surf_lsm_h%rad_net(m) * rmask(j,i,sr)
-                   sums_l(nzb,100,tn) = sums_l(nzb,100,tn)  +                  &
-                                        surf_lsm_h%rad_lw_in(m) * rmask(j,i,sr)
-                   sums_l(nzb,101,tn) = sums_l(nzb,101,tn)  +                  &
+                   sums_l(nzb,99,tn)  = sums_l(nzb,99,tn)   +                                      &
+                                        surf_lsm_h%rad_net(m)    * rmask(j,i,sr)
+                   sums_l(nzb,100,tn) = sums_l(nzb,100,tn)  +                                      &
+                                        surf_lsm_h%rad_lw_in(m)  * rmask(j,i,sr)
+                   sums_l(nzb,101,tn) = sums_l(nzb,101,tn)  +                                      &
                                         surf_lsm_h%rad_lw_out(m) * rmask(j,i,sr)
-                   sums_l(nzb,102,tn) = sums_l(nzb,102,tn)  +                  &
-                                        surf_lsm_h%rad_sw_in(m) * rmask(j,i,sr)
-                   sums_l(nzb,103,tn) = sums_l(nzb,103,tn)  +                  &
+                   sums_l(nzb,102,tn) = sums_l(nzb,102,tn)  +                                      &
+                                        surf_lsm_h%rad_sw_in(m)  * rmask(j,i,sr)
+                   sums_l(nzb,103,tn) = sums_l(nzb,103,tn)  +                                      &
                                         surf_lsm_h%rad_sw_out(m) * rmask(j,i,sr)
                 ENDIF
-                IF ( surf_usm_h%end_index(j,i) >=                              &
-                     surf_usm_h%start_index(j,i) )  THEN
+                IF ( surf_usm_h%end_index(j,i) >= surf_usm_h%start_index(j,i) )  THEN
                    m = surf_usm_h%start_index(j,i)
-                   sums_l(nzb,99,tn)  = sums_l(nzb,99,tn)  +                   &
-                                        surf_usm_h%rad_net(m) * rmask(j,i,sr)
-                   sums_l(nzb,100,tn) = sums_l(nzb,100,tn)  +                  &
-                                        surf_usm_h%rad_lw_in(m) * rmask(j,i,sr)
-                   sums_l(nzb,101,tn) = sums_l(nzb,101,tn)  +                  &
+                   sums_l(nzb,99,tn)  = sums_l(nzb,99,tn)   +                                      &
+                                        surf_usm_h%rad_net(m)    * rmask(j,i,sr)
+                   sums_l(nzb,100,tn) = sums_l(nzb,100,tn)  +                                      &
+                                        surf_usm_h%rad_lw_in(m)  * rmask(j,i,sr)
+                   sums_l(nzb,101,tn) = sums_l(nzb,101,tn)  +                                      &
                                         surf_usm_h%rad_lw_out(m) * rmask(j,i,sr)
-                   sums_l(nzb,102,tn) = sums_l(nzb,102,tn)  +                  &
-                                        surf_usm_h%rad_sw_in(m) * rmask(j,i,sr)
-                   sums_l(nzb,103,tn) = sums_l(nzb,103,tn)  +                  &
+                   sums_l(nzb,102,tn) = sums_l(nzb,102,tn)  +                                      &
+                                        surf_usm_h%rad_sw_in(m)  * rmask(j,i,sr)
+                   sums_l(nzb,103,tn) = sums_l(nzb,103,tn)  +                                      &
                                         surf_usm_h%rad_sw_out(m) * rmask(j,i,sr)
                 ENDIF
@@ -1230,47 +1161,44 @@
                 IF ( radiation_scheme == 'rrtmg' )  THEN
 
-                   IF ( surf_def_h(0)%end_index(j,i) >=                        &
-                        surf_def_h(0)%start_index(j,i) )  THEN
+                   IF ( surf_def_h(0)%end_index(j,i) >= surf_def_h(0)%start_index(j,i) )  THEN
                       m = surf_def_h(0)%start_index(j,i)
-                      sums_l(nzb,108,tn)  = sums_l(nzb,108,tn)  +              &
-                                   surf_def_h(0)%rrtm_aldif(m,0) * rmask(j,i,sr)
-                      sums_l(nzb,109,tn) = sums_l(nzb,109,tn)  +               &
-                                   surf_def_h(0)%rrtm_aldir(m,0) * rmask(j,i,sr)
-                      sums_l(nzb,110,tn) = sums_l(nzb,110,tn)  +               &
-                                   surf_def_h(0)%rrtm_asdif(m,0) * rmask(j,i,sr)
-                      sums_l(nzb,111,tn) = sums_l(nzb,111,tn)  +               &
-                                   surf_def_h(0)%rrtm_asdir(m,0) * rmask(j,i,sr)
+                      sums_l(nzb,108,tn)  = sums_l(nzb,108,tn)  +                                  &
+                                            surf_def_h(0)%rrtm_aldif(m,0) * rmask(j,i,sr)
+                      sums_l(nzb,109,tn) = sums_l(nzb,109,tn)  +                                   &
+                                           surf_def_h(0)%rrtm_aldir(m,0) * rmask(j,i,sr)
+                      sums_l(nzb,110,tn) = sums_l(nzb,110,tn)  +                                   &
+                                           surf_def_h(0)%rrtm_asdif(m,0) * rmask(j,i,sr)
+                      sums_l(nzb,111,tn) = sums_l(nzb,111,tn)  +                                   &
+                                           surf_def_h(0)%rrtm_asdir(m,0) * rmask(j,i,sr)
                    ENDIF
-                   IF ( surf_lsm_h%end_index(j,i) >=                           &
-                        surf_lsm_h%start_index(j,i) )  THEN
+                   IF ( surf_lsm_h%end_index(j,i) >= surf_lsm_h%start_index(j,i) )  THEN
                       m = surf_lsm_h%start_index(j,i)
-                      sums_l(nzb,108,tn)  = sums_l(nzb,108,tn)  +              &
-                               SUM( surf_lsm_h%frac(m,:) *                     &
-                                    surf_lsm_h%rrtm_aldif(m,:) ) * rmask(j,i,sr)
-                      sums_l(nzb,109,tn) = sums_l(nzb,109,tn)  +               &
-                               SUM( surf_lsm_h%frac(m,:) *                     &
-                                    surf_lsm_h%rrtm_aldir(m,:) ) * rmask(j,i,sr)
-                      sums_l(nzb,110,tn) = sums_l(nzb,110,tn)  +               &
-                               SUM( surf_lsm_h%frac(m,:) *                     &
-                                    surf_lsm_h%rrtm_asdif(m,:) ) * rmask(j,i,sr)
-                      sums_l(nzb,111,tn) = sums_l(nzb,111,tn)  +               &
-                               SUM( surf_lsm_h%frac(m,:) *                     &
-                                    surf_lsm_h%rrtm_asdir(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,108,tn)  = sums_l(nzb,108,tn)  +                                  &
+                                            SUM( surf_lsm_h%frac(m,:) *                            &
+                                                 surf_lsm_h%rrtm_aldif(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,109,tn) = sums_l(nzb,109,tn)  +                                   &
+                                           SUM( surf_lsm_h%frac(m,:) *                             &
+                                                surf_lsm_h%rrtm_aldir(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,110,tn) = sums_l(nzb,110,tn)  +                                   &
+                                           SUM( surf_lsm_h%frac(m,:) *                             &
+                                                surf_lsm_h%rrtm_asdif(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,111,tn) = sums_l(nzb,111,tn)  +                                   &
+                                           SUM( surf_lsm_h%frac(m,:) *                             &
+                                                surf_lsm_h%rrtm_asdir(m,:) ) * rmask(j,i,sr)
                    ENDIF
-                   IF ( surf_usm_h%end_index(j,i) >=                           &
-                        surf_usm_h%start_index(j,i) )  THEN
+                   IF ( surf_usm_h%end_index(j,i) >= surf_usm_h%start_index(j,i) )  THEN
                       m = surf_usm_h%start_index(j,i)
-                      sums_l(nzb,108,tn)  = sums_l(nzb,108,tn)  +              &
-                               SUM( surf_usm_h%frac(m,:) *                     &
-                                    surf_usm_h%rrtm_aldif(m,:) ) * rmask(j,i,sr)
-                      sums_l(nzb,109,tn) = sums_l(nzb,109,tn)  +               &
-                               SUM( surf_usm_h%frac(m,:) *                     &
-                                    surf_usm_h%rrtm_aldir(m,:) ) * rmask(j,i,sr)
-                      sums_l(nzb,110,tn) = sums_l(nzb,110,tn)  +               &
-                               SUM( surf_usm_h%frac(m,:) *                     &
-                                    surf_usm_h%rrtm_asdif(m,:) ) * rmask(j,i,sr)
-                      sums_l(nzb,111,tn) = sums_l(nzb,111,tn)  +               &
-                               SUM( surf_usm_h%frac(m,:) *                     &
-                                    surf_usm_h%rrtm_asdir(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,108,tn)  = sums_l(nzb,108,tn)  +                                  &
+                                            SUM( surf_usm_h%frac(m,:) *                            &
+                                                 surf_usm_h%rrtm_aldif(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,109,tn) = sums_l(nzb,109,tn)  +                                   &
+                                           SUM( surf_usm_h%frac(m,:) *                             &
+                                                surf_usm_h%rrtm_aldir(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,110,tn) = sums_l(nzb,110,tn)  +                                   &
+                                           SUM( surf_usm_h%frac(m,:) *                             &
+                                                surf_usm_h%rrtm_asdif(m,:) ) * rmask(j,i,sr)
+                      sums_l(nzb,111,tn) = sums_l(nzb,111,tn)  +                                   &
+                                           SUM( surf_usm_h%frac(m,:) *                             &
+                                                surf_usm_h%rrtm_asdir(m,:) ) * rmask(j,i,sr)
                    ENDIF
 
@@ -1284,32 +1212,32 @@
                 m = surf_def_h(2)%start_index(j,i)
                 !$ACC ATOMIC
-                sums_l(nzt,12,tn) = sums_l(nzt,12,tn) + &
-                                    momentumflux_output_conversion(nzt) * &
+                sums_l(nzt,12,tn) = sums_l(nzt,12,tn) +                                            &
+                                    momentumflux_output_conversion(nzt) *                          &
                                     surf_def_h(2)%usws(m) * rmask(j,i,sr)    ! w"u"
                 !$ACC ATOMIC
-                sums_l(nzt+1,12,tn) = sums_l(nzt+1,12,tn) + &
-                                    momentumflux_output_conversion(nzt+1) * &
-                                    surf_def_h(2)%usws(m) * rmask(j,i,sr)    ! w"u"
-                !$ACC ATOMIC
-                sums_l(nzt,14,tn) = sums_l(nzt,14,tn) + &
-                                    momentumflux_output_conversion(nzt) * &
+                sums_l(nzt+1,12,tn) = sums_l(nzt+1,12,tn) +                                        &
+                                      momentumflux_output_conversion(nzt+1) *                      &
+                                      surf_def_h(2)%usws(m) * rmask(j,i,sr)  ! w"u"
+                !$ACC ATOMIC
+                sums_l(nzt,14,tn) = sums_l(nzt,14,tn) +                                            &
+                                    momentumflux_output_conversion(nzt) *                          &
                                     surf_def_h(2)%vsws(m) * rmask(j,i,sr)    ! w"v"
                 !$ACC ATOMIC
-                sums_l(nzt+1,14,tn) = sums_l(nzt+1,14,tn) + &
-                                    momentumflux_output_conversion(nzt+1) * &
-                                    surf_def_h(2)%vsws(m) * rmask(j,i,sr)    ! w"v"
-                !$ACC ATOMIC
-                sums_l(nzt,16,tn) = sums_l(nzt,16,tn) + &
-                                    heatflux_output_conversion(nzt) * &
-                                    surf_def_h(2)%shf(m)  * rmask(j,i,sr)   ! w"pt"
-                !$ACC ATOMIC
-                sums_l(nzt+1,16,tn) = sums_l(nzt+1,16,tn) + &
-                                    heatflux_output_conversion(nzt+1) * &
-                                    surf_def_h(2)%shf(m)  * rmask(j,i,sr)   ! w"pt"
+                sums_l(nzt+1,14,tn) = sums_l(nzt+1,14,tn) +                                        &
+                                      momentumflux_output_conversion(nzt+1) *                      &
+                                      surf_def_h(2)%vsws(m) * rmask(j,i,sr)  ! w"v"
+                !$ACC ATOMIC
+                sums_l(nzt,16,tn) = sums_l(nzt,16,tn) +                                            &
+                                    heatflux_output_conversion(nzt) *                              &
+                                    surf_def_h(2)%shf(m)  * rmask(j,i,sr)    ! w"pt"
+                !$ACC ATOMIC
+                sums_l(nzt+1,16,tn) = sums_l(nzt+1,16,tn) +                                        &
+                                      heatflux_output_conversion(nzt+1) *                          &
+                                      surf_def_h(2)%shf(m)  * rmask(j,i,sr)  ! w"pt"
 #if 0
-                sums_l(nzt:nzt+1,58,tn) = sums_l(nzt:nzt+1,58,tn) + &
-                                    0.0_wp * rmask(j,i,sr)        ! u"pt"
-                sums_l(nzt:nzt+1,61,tn) = sums_l(nzt:nzt+1,61,tn) + &
-                                    0.0_wp * rmask(j,i,sr)        ! v"pt"
+                sums_l(nzt:nzt+1,58,tn) = sums_l(nzt:nzt+1,58,tn) +                                &
+                                          0.0_wp * rmask(j,i,sr)             ! u"pt"
+                sums_l(nzt:nzt+1,61,tn) = sums_l(nzt:nzt+1,61,tn) +                                &
+                                          0.0_wp * rmask(j,i,sr)             ! v"pt"
 #endif
 #ifndef _OPENACC
@@ -1319,20 +1247,20 @@
                 ENDIF
                 IF ( humidity )  THEN
-                   sums_l(nzt,48,tn) = sums_l(nzt,48,tn) +                     &
-                                       waterflux_output_conversion(nzt) *      &
+                   sums_l(nzt,48,tn) = sums_l(nzt,48,tn) +                                         &
+                                       waterflux_output_conversion(nzt) *                          &
                                        surf_def_h(2)%qsws(m) * rmask(j,i,sr) ! w"q" (w"qv")
-                   sums_l(nzt,45,tn) = sums_l(nzt,45,tn) + (                   &
-                                       ( 1.0_wp + 0.61_wp * q(nzt,j,i) ) *     &
-                                       surf_def_h(2)%shf(m) +                  &
-                                       0.61_wp * pt(nzt,j,i) *    &
-                                       surf_def_h(2)%qsws(m) )      &
+                   sums_l(nzt,45,tn) = sums_l(nzt,45,tn) +   (                                     &
+                                       ( 1.0_wp + 0.61_wp * q(nzt,j,i) ) *                         &
+                                       surf_def_h(2)%shf(m) +                                      &
+                                       0.61_wp * pt(nzt,j,i) *                                     &
+                                       surf_def_h(2)%qsws(m) )                                     &
                                        * heatflux_output_conversion(nzt)
                    IF ( cloud_droplets )  THEN
-                      sums_l(nzt,45,tn) = sums_l(nzt,45,tn) + (                &
-                                          ( 1.0_wp + 0.61_wp * q(nzt,j,i) -    &
-                                            ql(nzt,j,i) ) *                    &
-                                            surf_def_h(2)%shf(m) +             &
-                                           0.61_wp * pt(nzt,j,i) *             &
-                                           surf_def_h(2)%qsws(m) )&
+                      sums_l(nzt,45,tn) = sums_l(nzt,45,tn) +    (                                 &
+                                          ( 1.0_wp + 0.61_wp * q(nzt,j,i) -                        &
+                                            ql(nzt,j,i) ) *                                        &
+                                            surf_def_h(2)%shf(m) +                                 &
+                                           0.61_wp * pt(nzt,j,i) *                                 &
+                                           surf_def_h(2)%qsws(m) )                                 &
                                            * heatflux_output_conversion(nzt)
                    ENDIF
@@ -1340,11 +1268,11 @@
 !
 !--                   Formula does not work if ql(nzb) /= 0.0
-                      sums_l(nzt,51,tn) = sums_l(nzt,51,tn) + &   ! w"q" (w"qv")
-                                          waterflux_output_conversion(nzt) *   &
+                      sums_l(nzt,51,tn) = sums_l(nzt,51,tn) +              &  ! w"q" (w"qv")
+                                          waterflux_output_conversion(nzt) *                       &
                                           surf_def_h(2)%qsws(m) * rmask(j,i,sr)
                    ENDIF
                 ENDIF
                 IF ( passive_scalar )  THEN
-                   sums_l(nzt,117,tn) = sums_l(nzt,117,tn) + &
+                   sums_l(nzt,117,tn) = sums_l(nzt,117,tn) +                                       &
                                         surf_def_h(2)%ssws(m) * rmask(j,i,sr) ! w"s"
                 ENDIF
